<?php include_once( "../../spider.inc.php" ); ?>{charset:UTF-8}<?php header( 'Content-type: text/plain;charset=UTF-8' ); ?>
var systemLoginConfirmHttpObject;
function systemLoginIsRegistable( loginId, uniqueId ) {
	if( systemLoginConfirmHttpObject ) {
		alert('現在他のブラウザが問い合わせ中です。動作しない場合はしばらくたってから再度クリックしてください。');
		return;
	}
	if( !loginId || loginId.length < 4 ) {
		alert('ログインIDは半角4文字以上で入力してください。');
		return;
	}
	systemLoginConfirmHttpObject	= FormerCommon.createHttpRequest(systemLoginIsRegistableResult);
	if( systemLoginConfirmHttpObject ) {
		FormerCommon.displayGrayOut(9999);
		var url			= '<?php echo SPIDER_URI_BASE; ?><?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/system/login/is_registable_loginid.php?lid='
			+ loginId + '&uid=' + uniqueId;
		systemLoginConfirmHttpObject.open("GET",url,true);
		systemLoginConfirmHttpObject.send(null);
	} else {
		alert('通信の作成に失敗しました。');
		FormerCommon.displayWhiteIn();
	}
}
function systemLoginIsRegistableResult() {
	if ((systemLoginConfirmHttpObject.readyState == 4) && (systemLoginConfirmHttpObject.status == 200)){
		var response	= systemLoginConfirmHttpObject.responseText;
		var lines		= response.trim().split(LF);
		var result		= new String(lines.shift()).trim();
		if( result == 'OK' ) {
			alert('ご指定のログインIDを利用できます。');
		} else {
			alert('ご指定のログインIDは他の方が利用しているため利用できません。');
		}
		systemLoginConfirmHttpObject	= null;
		FormerCommon.displayWhiteIn();
	} else if ((systemLoginConfirmHttpObject.readyState == 4) && (systemLoginConfirmHttpObject.status != 200)){
		alert('通信に失敗しました。');
		systemLoginConfirmHttpObject	= null;
		FormerCommon.displayWhiteIn();
	}
}
var systemUniqueConfirmHttpObject;
function systemUniqueIsRegistable( uniqueId, uniqueIdorg, command ) {
	if( systemUniqueConfirmHttpObject ) {
		alert('現在他のブラウザが問い合わせ中です。動作しない場合はしばらくたってから再度クリックしてください。');
		return;
	}
	if( !uniqueId || uniqueId.length < 4 ) {
		alert('ユニークIDは半角4文字以上で入力してください。');
		return;
	}
	systemUniqueConfirmHttpObject	= FormerCommon.createHttpRequest(systemUniqueIsRegistableResult);
	if( systemUniqueConfirmHttpObject ) {
		FormerCommon.displayGrayOut(9999);
		var url			= '<?php echo SPIDER_URI_BASE; ?><?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/system/login/is_registable_loginid.php?uid='
			+ uniqueId + '&uidorg=' + uniqueIdorg + '&cmd=' + command;
		systemUniqueConfirmHttpObject.open("GET",url,true);
		systemUniqueConfirmHttpObject.send(null);
	} else {
		alert('通信の作成に失敗しました。');
		FormerCommon.displayWhiteIn();
	}
}
function systemUniqueIsRegistableResult() {
	if ((systemUniqueConfirmHttpObject.readyState == 4) && (systemUniqueConfirmHttpObject.status == 200)){
		var response	= systemUniqueConfirmHttpObject.responseText;
		var lines		= response.trim().split(LF);
		var result		= new String(lines.shift()).trim();
		if( result == 'OK' ) {
			alert('ご指定のユニークIDを利用できます。');
		} else {
			alert('ご指定のユニークIDは他の方が利用しているため利用できません。');
		}
		systemUniqueConfirmHttpObject	= null;
		FormerCommon.displayWhiteIn();
	} else if ((systemUniqueConfirmHttpObject.readyState == 4) && (systemUniqueConfirmHttpObject.status != 200)){
		alert('通信に失敗しました。');
		systemUniqueConfirmHttpObject	= null;
		FormerCommon.displayWhiteIn();
	}
}
/**
 * 通知メールの編集画面を起動する関数
 */
function system_modify_mail_body() {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/system/mailbody/form.php';
}
